import axios from 'axios'

// let _url = process.env.API_ROOT
// axios.defaults.baseURL = process.env.API_ROOT
//  edc10efb-b059-463b-9153-5db0b92b670f

const service = axios.create({


  baseURL: 'http://39.98.58.92:8093/', // url = base url + request url
  // withCredentials: true, // send cookies when cross-domain requests
  timeout: 6000 // request timeout
})

service.interceptors.request.use(

  config => {
    config.headers['X-Auth-Token'] = '952d9c9d-8b86-4dc4-8d3a-90d11e659dae'
    return config
  },
  error => {
    // do something with request error
    console.log(error) // for debug
    return Promise.reject(error)
  }
)

// response interceptor
service.interceptors.response.use(
  response => {
    const res = response.data
    // if the custom code is not 20000, it is judged as an error.
    if (res.code != '8888') {
      return res
    } else {
      return res
    }
  },
  error => {
    console.log('err' + error) // for debug
    return Promise.reject(error)
  }
)

export default service
